My Project: dgTriangleAnglesToUV Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgTriangleAnglesToUV Class Reference
Inheritance diagram for dgTriangleAnglesToUV:

## Public Member Functions

| dgTriangleAnglesToUV (dgMeshEffect *const mesh, dgInt32 material, dgReportProgress progressReportCallback, void *const userData, const dgFloat64 *const pinnedPoint, dgFloat64 *const triangleAnglesVector=NULL)
| ~dgTriangleAnglesToUV ()
dgInt32 | GetAlphaLandaIndex (const dgEdge *const edge) const
void | AnglesFromUV ()
void | TraceObjectiveFunction () const
dgFloat64 | CalculateExpression_U_face (const dgEdge *const face) const
dgFloat64 | CalculateExpression_V_face (const dgEdge *const face) const
dgFloat64 | CalculateGradient_U_Coefficent (const dgEdge *const edge, bool u) const
dgFloat64 | CalculateGradient_V_Coefficent (const dgEdge *const edge, bool u) const
dgFloat64 | CalculateHessianExpression_U_V (const dgEdge *const face) const
dgFloat64 | CalculateHessianExpression_V_V (const dgEdge *const face) const
void | CalculateGradientU (dgInt32 vertexIndex)
void | CalculateGradientV (dgInt32 vertexIndex)
void | CalculateGradientVectorAndHessianMatrix ()
bool | InversePrecoditionerTimeVector (dgFloat64 *const out, const dgFloat64 *const v) const
void | MatrixTimeVector (dgFloat64 *const out, const dgFloat64 *const v) const
void | LagrangeOptimization ()
Public Member Functions inherited from dgSymmetricBiconjugateGradientSolve
| dgSymmetricBiconjugateGradientSolve ()
| ~dgSymmetricBiconjugateGradientSolve ()
dgFloat64 | Solve (dgInt32 size, dgFloat64 tolerance, dgFloat64 *const x, const dgFloat64 *const b) const

## Public Attributes

dgArray< dgInt32 > | m_hessianCoLumnIndex
dgArray< dgFloat64 > | m_hessianCoLumnValue
dgMeshEffect * | m_mesh
dgEdge ** | m_triangles
dgEdge ** | m_vertexEdge
dgFloat64 * | m_uvArray
dgFloat64 * | m_sinTable
dgFloat64 * | m_cosTable
dgFloat64 * | m_gradients
dgFloat64 * | m_diagonal
dgFloat64 * | m_triangleAngles
const dgFloat64 * | m_pinnedPoints
dgInt32 | m_trianglesCount
dgInt32 | m_matrixElementCount
bool | m_allocated

## Additional Inherited Members

## Constructor & Destructor Documentation

## § dgTriangleAnglesToUV()

dgTriangleAnglesToUV::dgTriangleAnglesToUV | ( | dgMeshEffect *const | mesh,
|  | dgInt32 | material,
|  | dgReportProgress | progressReportCallback,
|  | void *const | userData,
|  | const dgFloat64 *const | pinnedPoint,
|  | dgFloat64 *const | triangleAnglesVector = `NULL`
| ) |  |

inline

## § ~dgTriangleAnglesToUV()

dgTriangleAnglesToUV::~dgTriangleAnglesToUV | ( |  | ) |

inline

## Member Function Documentation

## § AnglesFromUV()

void dgTriangleAnglesToUV::AnglesFromUV | ( |  | ) |

inline

## § CalculateExpression_U_face()

dgFloat64 dgTriangleAnglesToUV::CalculateExpression_U_face | ( | const dgEdge *const | face | ) | const

inline

## § CalculateExpression_V_face()

dgFloat64 dgTriangleAnglesToUV::CalculateExpression_V_face | ( | const dgEdge *const | face | ) | const

inline

## § CalculateGradient_U_Coefficent()

dgFloat64 dgTriangleAnglesToUV::CalculateGradient_U_Coefficent | ( | const dgEdge *const | edge,
|  | bool | u
| ) |  | const

inline

## § CalculateGradient_V_Coefficent()

dgFloat64 dgTriangleAnglesToUV::CalculateGradient_V_Coefficent | ( | const dgEdge *const | edge,
|  | bool | u
| ) |  | const

inline

## § CalculateGradientU()

void dgTriangleAnglesToUV::CalculateGradientU | ( | dgInt32 | vertexIndex | ) |

inline

## § CalculateGradientV()

void dgTriangleAnglesToUV::CalculateGradientV | ( | dgInt32 | vertexIndex | ) |

inline

## § CalculateGradientVectorAndHessianMatrix()

void dgTriangleAnglesToUV::CalculateGradientVectorAndHessianMatrix | ( |  | ) |

inline

## § CalculateHessianExpression_U_V()

dgFloat64 dgTriangleAnglesToUV::CalculateHessianExpression_U_V | ( | const dgEdge *const | face | ) | const

inline

## § CalculateHessianExpression_V_V()

dgFloat64 dgTriangleAnglesToUV::CalculateHessianExpression_V_V | ( | const dgEdge *const | face | ) | const

inline

## § GetAlphaLandaIndex()

dgInt32 dgTriangleAnglesToUV::GetAlphaLandaIndex | ( | const dgEdge *const | edge | ) | const

inline

## § InversePrecoditionerTimeVector()

bool dgTriangleAnglesToUV::InversePrecoditionerTimeVector | ( | dgFloat64 *const | out,
|  | const dgFloat64 *const | v
| ) |  | const

inlinevirtual

Implements dgSymmetricBiconjugateGradientSolve.

## § LagrangeOptimization()

void dgTriangleAnglesToUV::LagrangeOptimization | ( |  | ) |

inline

## § MatrixTimeVector()

void dgTriangleAnglesToUV::MatrixTimeVector | ( | dgFloat64 *const | out,
|  | const dgFloat64 *const | v
| ) |  | const

inlinevirtual

Implements dgSymmetricBiconjugateGradientSolve.

## § TraceObjectiveFunction()

void dgTriangleAnglesToUV::TraceObjectiveFunction | ( |  | ) | const

inline

## Member Data Documentation

## § m_allocated

bool dgTriangleAnglesToUV::m_allocated

## § m_cosTable

dgFloat64* dgTriangleAnglesToUV::m_cosTable

## § m_diagonal

dgFloat64* dgTriangleAnglesToUV::m_diagonal

## § m_gradients

dgFloat64* dgTriangleAnglesToUV::m_gradients

## § m_hessianCoLumnIndex

dgArray<dgInt32> dgTriangleAnglesToUV::m_hessianCoLumnIndex

## § m_hessianCoLumnValue

dgArray<dgFloat64> dgTriangleAnglesToUV::m_hessianCoLumnValue

## § m_matrixElementCount

dgInt32 dgTriangleAnglesToUV::m_matrixElementCount

## § m_mesh

dgMeshEffect* dgTriangleAnglesToUV::m_mesh

## § m_pinnedPoints

const dgFloat64* dgTriangleAnglesToUV::m_pinnedPoints

## § m_sinTable

dgFloat64* dgTriangleAnglesToUV::m_sinTable

## § m_triangleAngles

dgFloat64* dgTriangleAnglesToUV::m_triangleAngles

## § m_triangles

dgEdge** dgTriangleAnglesToUV::m_triangles

## § m_trianglesCount

dgInt32 dgTriangleAnglesToUV::m_trianglesCount

## § m_uvArray

dgFloat64* dgTriangleAnglesToUV::m_uvArray

## § m_vertexEdge

dgEdge** dgTriangleAnglesToUV::m_vertexEdge

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/meshUtil/dgMeshEffect6.cpp